Bug 374451 - wireless not working in F8 (zd1211rw_mac80211, firmware version 4725)
wireless not working in F8 (zd1211rw_mac80211, firmware version 4725)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-10 05:32 EST by Eric LANDES
Modified: 2008-06-05 09:44 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.6.25.3-18.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-05 09:44:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Extract of /var/log/messages (10.54 KB, text/plain)
2007-12-02 11:07 EST, Eric LANDES
no flags Details
Extract of the /var/log/messages showing a general protection fault (15.56 KB, text/plain)
2008-02-14 15:27 EST, Eric LANDES
no flags Details

  None (edit)
Description Eric LANDES 2007-11-10 05:32:38 EST
Description of problem:
Hi, 

This is one more wireless problem. I saw that bug 243487 was solved, so maybe
this one could be solved too. 
As stated in yet another bug -- comment 42 of bug 249282 which has certainly be
closed too quickly (maybe too many comments...) -- I had some problems with a
kernel update, so I since sticked to the kernel-2.6.21-1.3228.fc7 version. 

I once have been able to use my wireless key with a new kernel version : kernel
2.6.23-0.214.rc8.git2.fc8 shipped with Fedora 7.92. 
But with Fedora 8, wireless connection does not work. 

By googling the Internet, I saw this patch : 
http://www.kernel.org/pub/linux/kernel/people/linville/wireless-2.6/zd1211rw-mac80211/0001-zd1211rw-mac80211-add-mac80211-based-driver-for-Z.patch
Could it be the solution of the problem ? 

Version-Release number of selected component (if applicable):
kernel 2.6.23.1-42.fc8

How reproducible:
see comment 42 of bug 249282

Steps to Reproduce:
comment 42 of bug 249282
  
Actual results:
Now with the Fedora 8 : 
Nov 10 10:38:06 pc-linux kernel: usb 1-2.4.3: new high speed USB device using
ehci_hcd and address 6
Nov 10 10:38:06 pc-linux kernel: usb 1-2.4.3: configuration #1 chosen from 1 choice
Nov 10 10:38:06 pc-linux kernel: usb 1-2.4.3: reset high speed USB device using
ehci_hcd and address 6
Nov 10 10:38:06 pc-linux kernel: zd1211rw_mac80211 1-2.4.3:1.0: phy1
Nov 10 10:38:06 pc-linux kernel: zd1211rw_mac80211 1-2.4.3:1.0: firmware version
4725
Nov 10 10:38:06 pc-linux kernel: zd1211rw_mac80211 1-2.4.3:1.0: zd1211b chip
050d:705c v4810 high 00-17-3f AL2230_RF pa0 g--NS
Nov 10 10:38:07 pc-linux kernel: zd1211rw_mac80211 1-2.4.3:1.0: error
ioread32(CR_REG1): -110
Nov 10 10:38:07 pc-linux kernel: ADDRCONF(NETDEV_UP): wlan0: link is not ready
Nov 10 10:38:08 pc-linux dhclient: wmaster0: unknown hardware address type 801
Nov 10 10:38:08 pc-linux dhclient: wmaster0: unknown hardware address type 801
Nov 10 10:38:08 pc-linux dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255 port
67 interval 5
Nov 10 10:38:13 pc-linux dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255 port
67 interval 8
Nov 10 10:38:21 pc-linux dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255 port
67 interval 9
Nov 10 10:38:30 pc-linux dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255 port
67 interval 8
Nov 10 10:38:38 pc-linux dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255 port
67 interval 15
Nov 10 10:38:53 pc-linux dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255 port
67 interval 7
Comment 1 John W. Linville 2007-11-12 11:21:46 EST
Can you recreate this problem with the current (-49.fc8) kernel?
Comment 2 Eric LANDES 2007-11-12 14:48:57 EST
The new proposed kernel solved the problem. Thanks a lot !!! 
I can now discover Fedora 8. 

FYI, here is the output from /var/log/messages once the wireless key is plugged  : 
===================================================================
Nov 12 20:41:25 pc-linux kernel: usb 1-2.4.3: new high speed USB device using
ehci_hcd and address 5
Nov 12 20:41:25 pc-linux kernel: ehci_hcd 0000:00:02.1: qh ffff810037cd5320
(#00) state 4
Nov 12 20:41:25 pc-linux kernel: usb 1-2.4.3: configuration #1 chosen from 1 choice
Nov 12 20:41:25 pc-linux kernel: usb 1-2.4.3: reset high speed USB device using
ehci_hcd and address 5
Nov 12 20:41:25 pc-linux kernel: ehci_hcd 0000:00:02.1: qh ffff810037cd53c0
(#00) state 4
Nov 12 20:41:25 pc-linux kernel: zd1211rw_mac80211 1-2.4.3:1.0: phy0
Nov 12 20:41:25 pc-linux kernel: usbcore: registered new interface driver
zd1211rw_mac80211
Nov 12 20:41:26 pc-linux kernel: zd1211rw_mac80211 1-2.4.3:1.0: firmware version
4725
Nov 12 20:41:26 pc-linux kernel: zd1211rw_mac80211 1-2.4.3:1.0: zd1211b chip
050d:705c v4810 high 00-17-3f AL2230_RF pa0 g--NS
Nov 12 20:41:27 pc-linux kernel: zd1211rw_mac80211 1-2.4.3:1.0: error
ioread32(CR_REG1): -110
Nov 12 20:41:27 pc-linux kernel: ADDRCONF(NETDEV_UP): wlan0: link is not ready
Nov 12 20:41:27 pc-linux dhclient: wmaster0: unknown hardware address type 801
Nov 12 20:41:27 pc-linux dhclient: wmaster0: unknown hardware address type 801
Nov 12 20:41:27 pc-linux dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255 port
67 interval 3
Nov 12 20:41:29 pc-linux kernel: ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
Nov 12 20:41:30 pc-linux dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255 port
67 interval 5
Nov 12 20:41:31 pc-linux dhclient: DHCPOFFER from 192.168.1.1
Nov 12 20:41:31 pc-linux dhclient: DHCPREQUEST on wlan0 to 255.255.255.255 port 67
Nov 12 20:41:31 pc-linux dhclient: DHCPACK from 192.168.1.1
Nov 12 20:41:31 pc-linux avahi-daemon[2015]: Registering new address record for
fe80::217:3fff:fe8d:3a6c on wlan0.*.
Nov 12 20:41:31 pc-linux avahi-daemon[2015]: Joining mDNS multicast group on
interface wlan0.IPv4 with address 192.168.1.11.
Nov 12 20:41:31 pc-linux avahi-daemon[2015]: New relevant interface wlan0.IPv4
for mDNS.
Nov 12 20:41:31 pc-linux avahi-daemon[2015]: Registering new address record for
192.168.1.11 on wlan0.IPv4.
Nov 12 20:41:31 pc-linux NET[2877]: /sbin/dhclient-script : updated /etc/resolv.conf
Nov 12 20:41:31 pc-linux dhclient: bound to 192.168.1.11 -- renewal in 264330
seconds.
===================================================================
Comment 3 Eric LANDES 2007-11-15 04:09:04 EST
Hi, 

Description of problem:
The new kernel solved the problem, but for a while only. 
After several days and reboot, I can no more use the wireless key (this problem
occured first on my main partition on which I made a lot of other updates, then
on the partition I use for testing on which I made no other updates). 
I get a "general fault protection" message and then the OS freezes. 

Steps to Reproduce:
# rpm -qa | grep kernel
kernel-2.6.23.1-42.fc8
kernel-headers-2.6.23.1-42.fc8
kernel-devel-2.6.23.1-42.fc8

# rpm -Uvh kernel-2.6.23.1-49.fc8.x86_64.rpm
kernel-devel-2.6.23.1-49.fc8.x86_64.rpm kernel-headers-2.6.23.1-49.fc8.x86_64.rpm 

(On my main partition, I also updated xorg-x11-drv-nvidia, livna-config-display
and kmod-nvidia)

Wait after several reboot and days. 
Plug the wireless key. 

Error message (as in/var/log/messages): 
Nov 15 09:45:31 pc-linux kernel: usb 1-2.4.3: new high speed USB device using
ehci_hcd and address 6
Nov 15 09:45:31 pc-linux kernel: usb 1-2.4.3: configuration #1 chosen from 1 choice
Nov 15 09:45:32 pc-linux kernel: usb 1-2.4.3: reset high speed USB device using
ehci_hcd and address 6
Nov 15 09:45:32 pc-linux kernel: zd1211rw_mac80211 1-2.4.3:1.0: phy0
Nov 15 09:45:32 pc-linux kernel: usbcore: registered new interface driver
zd1211rw_mac80211
Nov 15 09:45:32 pc-linux kernel: zd1211rw_mac80211 1-2.4.3:1.0: firmware version
4725
Nov 15 09:45:32 pc-linux kernel: zd1211rw_mac80211 1-2.4.3:1.0: zd1211b chip
050d:705c v4810 high 00-17-3f AL2230_RF pa0 g--NS
Nov 15 09:45:33 pc-linux kernel: zd1211rw_mac80211 1-2.4.3:1.0: error
ioread32(CR_REG1): -110
Nov 15 09:45:33 pc-linux kernel: ADDRCONF(NETDEV_UP): wlan0: link is not ready
Nov 15 09:45:33 pc-linux kernel: general protection fault: 0000 [1] SMP
Comment 4 Eric LANDES 2007-12-02 11:07:58 EST
Created attachment 275081 [details]
Extract of /var/log/messages

Steps shown in /var/log/messages : 
  - First step : plugging the wirelesse key => OK
  - Second step : unplugging the wirelesse key => OK
  - Third step : plugging the wirelesse key => KO
Comment 5 Eric LANDES 2007-12-02 12:08:27 EST
Oops !! Comment 4 comes after having tried a new kernel : 
rpm -Uvh kernel-2.6.23.8-63.fc8.x86_64.rpm
kernel-headers-2.6.23.8-63.fc8.x86_64.rpm kernel-devel-2.6.23.8-63.fc8.x86_64.rpm

Those rpm are from
http://download.fedora.redhat.com/pub/fedora/linux/updates/testing/8/x86_64/

I added this comment because logs in /var/log/messages are much more verbose
than previously. 
Comment 6 John W. Linville 2007-12-03 10:32:19 EST
I admit that the timing seems suspicious for those messages, but otherwise I 
don't see any connection between them and zd1211rw-mac80211.  It looks like 
perhaps a failure to allocate memory -- is your system running low on memory?
Comment 7 Eric LANDES 2007-12-03 14:24:57 EST
Those messages appear only if I plug/unplug,... the wireless key (and do nothing
else). 
About memory, here are a bunch of command results. Don't know if it helps. 

$ top -n 1
top - 19:55:26 up 1 min,  2 users,  load average: 1.15, 0.46, 0.16
Tasks: 124 total,   1 running, 123 sleeping,   0 stopped,   0 zombie
Cpu(s): 22.9%us,  7.5%sy,  0.6%ni, 45.4%id, 23.5%wa,  0.0%hi,  0.1%si,  0.0%st
Mem:   1028604k total,   686328k used,   342276k free,    26712k buffers
Swap:  2031608k total,        0k used,  2031608k free,   318736k cached

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND           
                                                                            
 2600 eric      20   0 14592 1088  792 R  1.9  0.1   0:00.01 top               
                                                                            
    1 root      20   0 10308  752  624 S  0.0  0.1   0:00.43 init              
                                                                            
    2 root      15  -5     0    0    0 S  0.0  0.0   0:00.00 kthreadd          
                                                                            
    3 root      RT  -5     0    0    0 S  0.0  0.0   0:00.00 migration/0       
                                                                            
    4 root      15  -5     0    0    0 S  0.0  0.0   0:00.00 ksoftirqd/0       
                                                                            
    5 root      RT  -5     0    0    0 S  0.0  0.0   0:00.00 watchdog/0        
                                                                            
    6 root      15  -5     0    0    0 S  0.0  0.0   0:00.00 events/0          
                                                                            
    7 root      15  -5     0    0    0 S  0.0  0.0   0:00.00 khelper           
                                                                            
   55 root      15  -5     0    0    0 S  0.0  0.0   0:00.00 kblockd/0         
                                                                            
   58 root      15  -5     0    0    0 S  0.0  0.0   0:00.00 kacpid            
                                                                            

$ free
             total       used       free     shared    buffers     cached
Mem:       1028604     686632     341972          0      26740     318736
-/+ buffers/cache:     341156     687448
Swap:      2031608          0    2031608

$ vmstat 5
procs -----------memory---------- ---swap-- -----io---- --system-- -----cpu------
 r  b   swpd   free   buff  cache   si   so    bi    bo   in   cs us sy id wa st
 1  0      0 344152  27604 319860    0    0  1720   105   95  691 14  4 69 13  0
 0  0      0 344144  27604 319860    0    0     0     5   26  209  2  0 98  0  0
 0  0      0 344640  27604 319860    0    0     0     3   25  200 18  1 81  0  0
 0  0      0 344640  27608 319860    0    0     0     1   22  175  1  0 99  0  0

$ cat /proc/meminfo 
MemTotal:      1028604 kB
MemFree:        343280 kB
Buffers:         27624 kB
Cached:         319872 kB
SwapCached:          0 kB
Active:         353220 kB
Inactive:       266216 kB
SwapTotal:     2031608 kB
SwapFree:      2031608 kB
Dirty:               8 kB
Writeback:           0 kB
AnonPages:      271996 kB
Mapped:          53912 kB
Slab:            34244 kB
SReclaimable:    11732 kB
SUnreclaim:      22512 kB
PageTables:      15984 kB
NFS_Unstable:        0 kB
Bounce:              0 kB
CommitLimit:   2545908 kB
Committed_AS:   591196 kB
VmallocTotal: 34359738367 kB
VmallocUsed:      7708 kB
VmallocChunk: 34359727907 kB
HugePages_Total:     0
HugePages_Free:      0
HugePages_Rsvd:      0
Hugepagesize:     2048 kB

$ cat /proc/vmstat 
nr_free_pages 85980
nr_inactive 66554
nr_active 88165
nr_anon_pages 67846
nr_mapped 13478
nr_file_pages 86873
nr_dirty 2
nr_writeback 0
nr_slab_reclaimable 2933
nr_slab_unreclaimable 5628
nr_page_table_pages 3995
nr_unstable 0
nr_bounce 0
nr_vmscan_write 0
numa_hit 536757
numa_miss 0
numa_foreign 0
numa_interleave 4272
numa_local 536757
numa_other 0
pgpgin 340478
pgpgout 20802
pswpin 0
pswpout 0
pgalloc_dma 1
pgalloc_dma32 541476
pgalloc_normal 0
pgalloc_movable 0
pgfree 627474
pgactivate 21890
pgdeactivate 0
pgfault 861306
pgmajfault 1224
pgrefill_dma 0
pgrefill_dma32 0
pgrefill_normal 0
pgrefill_movable 0
pgsteal_dma 0
pgsteal_dma32 0
pgsteal_normal 0
pgsteal_movable 0
pgscan_kswapd_dma 0
pgscan_kswapd_dma32 0
pgscan_kswapd_normal 0
pgscan_kswapd_movable 0
pgscan_direct_dma 0
pgscan_direct_dma32 0
pgscan_direct_normal 0
pgscan_direct_movable 0
pginodesteal 0
slabs_scanned 0
kswapd_steal 0
kswapd_inodesteal 0
pageoutrun 0
allocstall 0
pgrotated 0
Comment 8 Jeff Hoffman 2007-12-24 15:09:51 EST
This worked fine in kernel Fedora (2.6.23.8-63.fc8)
However, if I upgrade to Fedora (2.6.23.8-63.fc8) it stops working.

Happy to provide details jsut tell what you are looking for and how to obtain
the logs... etc...
Comment 9 uli_1970 2008-01-13 08:23:24 EST
I've the same upgrade probem. 

[root@dell ~]# rpm -qa|grep kernel
kernel-2.6.23.9-85.fc8
kernel-2.6.23.1-42.fc8

wlan works with old kernel version, new kernel version not seems to contain the
zd1211rw_mac80211 kernel module at all. where is it gone?
Comment 10 John W. Linville 2008-01-14 09:13:27 EST
uli_1970,

That is a different issue.  Please try a later F8 kernel from Koji:

   http://koji.fedoraproject.org/koji/buildinfo?buildID=31090

That should resolve your "zd1211rw_mac80211 missing" issue.
Comment 11 John W. Linville 2008-02-14 13:42:11 EST
Jeff & Eric, is this still a problem in current F8 kernels?  I'm not seeing 
any similar problem reports upstream or in rawhide.
Comment 12 Eric LANDES 2008-02-14 15:25:47 EST
I no more use wireless key (switched to PLC), but I tried one more time. 
I still does not work with the up to date kernel. 

$ uname -a 
Linux pc-linux 2.6.23.15-137.fc8 #1 SMP Sun Feb 10 17:03:13 EST 2008 x86_64
x86_64 x86_64 GNU/Linux

First plug is OK : Internet is reachable. 
After unplugging, second plug freezes my computer. 

Please find attached the dump (with some added comments) of the
/var/log/messages file. 


Comment 13 Eric LANDES 2008-02-14 15:27:13 EST
Created attachment 294949 [details]
Extract of the /var/log/messages showing a general protection fault
Comment 14 John W. Linville 2008-02-14 15:57:23 EST
FWIW, that looks like a different problem.

Does that happen whenever every time you re-insert?
Comment 15 Eric LANDES 2008-02-15 01:26:39 EST
I did some tests and sometimes it makes a general protection fault after the
second or the third time it is re-inserted. 

It's not immediate, maybe because I unplugged, replugged and restarted network
quite quickly. 
On another test -- plug, wait some time, restart network, wait some time,
unplug, wait some time, plug, there is then a general protection fault . 

I did not tell, but I do not let the key plugged at boot time, because the key
activation does not work (on some previous kernel, it even somtimes freezed the
computer). 
See "wlan0: link is not ready" during boot process below : 
============================================================
Feb 15 06:45:55 pc-linux kernel: Netfilter messages via NETLINK v0.30.
Feb 15 06:45:55 pc-linux kernel: nf_conntrack version 0.5.0 (8192 buckets, 32768
max)
Feb 15 06:45:55 pc-linux kernel: ip_tables: (C) 2000-2006 Netfilter Core Team
Feb 15 06:45:55 pc-linux kernel: skge eth0: enabling interface
Feb 15 06:45:55 pc-linux kernel: ADDRCONF(NETDEV_UP): eth0: link is not ready
Feb 15 06:45:55 pc-linux kernel: skge eth0: disabling interface
Feb 15 06:45:55 pc-linux kernel: zd1211rw 1-2.4.2:1.0: firmware version 4725
Feb 15 06:45:55 pc-linux kernel: zd1211rw 1-2.4.2:1.0: zd1211b chip 050d:705c
v4810 high 00-17-3f AL2230_RF pa0 g--NS
Feb 15 06:45:55 pc-linux kernel: zd1211rw 1-2.4.2:1.0: error ioread32(CR_REG1): -110
Feb 15 06:45:55 pc-linux kernel: ADDRCONF(NETDEV_UP): wlan0: link is not ready
Feb 15 06:45:56 pc-linux auditd[2183]: Started dispatcher: /sbin/audispd pid: 2185
Feb 15 06:45:56 pc-linux kernel: audit(1203054356.217:3): audit_pid=2183 old=0
by auid=4294967295
============================================================
Comment 16 Ivan Virgili 2008-04-30 15:05:02 EDT
I am not sure if I am having the same problem.
Let me know and I will open a new bug report if necessary.
My system keeps scanning without finding a network.
kernel 2.6.24.5-87.fc8

Apr 30 19:57:33 localhost kernel: usb 1-4: new high speed USB device using
ehci_hcd and address 6
Apr 30 19:57:33 localhost kernel: usb 1-4: configuration #1 chosen from 1 choice
Apr 30 19:57:33 localhost kernel: usb 1-4: reset high speed USB device using
ehci_hcd and address 6
Apr 30 19:57:33 localhost kernel: zd1211rw 1-4:1.0: phy5
Apr 30 19:57:34 localhost kernel: zd1211rw 1-4:1.0: firmware version 4605
Apr 30 19:57:34 localhost kernel: zd1211rw 1-4:1.0: zd1211 chip 6891:a727 v4330
high 00-12-a9 RF2959_RF pa0 g----
Apr 30 19:57:34 localhost NetworkManager: <info>  wlan0: Device is
fully-supported using driver 'zd1211rw'.
Apr 30 19:57:34 localhost NetworkManager: <info>  wlan0: driver supports SSID
scans (scan_capa 0x01).
Apr 30 19:57:34 localhost NetworkManager: <info>  Now managing wireless (802.11)
device 'wlan0'.
Apr 30 19:57:34 localhost NetworkManager: <info>  Bringing down device wlan0
Apr 30 19:57:35 localhost kernel: ADDRCONF(NETDEV_UP): wlan0: link is not ready
Apr 30 19:57:35 localhost NetworkManager: <info>  Deactivating device wlan0.
Apr 30 19:57:35 localhost dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255
port 67 interval 3
Apr 30 19:57:38 localhost dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255
port 67 interval 4
Apr 30 19:57:42 localhost dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255
port 67 interval 4
Apr 30 19:57:46 localhost dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255
port 67 interval 6
Apr 30 19:57:52 localhost dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255
port 67 interval 15
Apr 30 19:58:07 localhost dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255
port 67 interval 21
Apr 30 19:58:28 localhost dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255
port 67 interval 8
Apr 30 19:58:36 localhost dhclient: No DHCPOFFERS received.
Comment 17 Ivan Virgili 2008-04-30 15:20:12 EDT
If I start my computer with the key already inserted, then everything works fine.
I also tried to unplug the key and replug it and it was OK as well.
I will do more tests, but the problem seems to occur only if I start the
computer without the key and then I insert it.
Comment 18 Ivan Virgili 2008-04-30 15:22:35 EDT
I have just realized my firmware version is different, therefore I will need to
file a new bug report if I keep experiencing the problem.
Comment 19 Ivan Virgili 2008-05-01 12:42:10 EDT
I am just adding one more comment.
I did some more tests and I can confirm what I said above.
I will add that when using this wireless card, after some time the computer
freezes (random).
Comment 20 John W. Linville 2008-06-04 14:58:20 EDT
Ivan, are you not using the zd1211rw-firmware package?

Eric, is this still a problem with current f8 (or f9) kernels?
Comment 21 Ivan Virgili 2008-06-04 15:47:55 EDT
I am now using F9. kernel 2.6.25.3-18.fc9.i686
I was using (in F8) and I am using the zd1211rw-firmware package.
I do not have problems connecting and disconnecting the wireless card anymore.
I still do have the problem that the system now and then freezes (at random -
after 5 minutes or one hour or two hours, etc.). This only happens when I use
the wireless card that needs this firmware.
Comment 22 Ivan Virgili 2008-06-04 15:48:37 EDT
I forgot to mention that my F9 installation was done from scratch (not update).
Comment 23 John W. Linville 2008-06-04 16:04:57 EDT
Ivan, please open a new bug for the problem you described.  Please also include
Alt-SysRq-t output from such a hang, and/or try to capture console output with
netconsole over a wired ethernet port.

I will wait a while before closing this bug to hear from Eric if he continues to
have problems establishing connections with zd1211rw.
Comment 24 Eric LANDES 2008-06-04 22:40:01 EDT
Hi,

I no more have problems with Fedora 9 and kernel 2.6.25.3-18.fc9.x86_64, so you
can close the bug. 
Thanks for your work ! 

Note You need to log in before you can comment on or make changes to this bug.